Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.TextFillSignObjectData Class Reference
Inheritance diagram for com.foxit.sdk.pdf.TextFillSignObjectData:

## Public Member Functions
| TextFillSignObjectData (TextState text_state, String text)
| Constructor, with parameters. More...
| TextFillSignObjectData ()
| Constructor.
| TextFillSignObjectData (TextFillSignObjectData text_data)
| Constructor, with another text fill-sign object data. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getText ()
| Get text content string. More...
TextState | getText_state ()
| Get text state information. More...
void | set (TextState text_state, String text)
| Set value. More...
void | setText (String value)
| Set text content string. More...
void | setText_state (TextState value)
| Set text state information. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents text fill-sign object data.

## Constructor & Destructor Documentation

## ◆ TextFillSignObjectData() [1/2]

com.foxit.sdk.pdf.TextFillSignObjectData.TextFillSignObjectData | ( | TextState | text_state,
|  | String | text
| ) |  |

Constructor, with parameters.

Parameters

  [in] | text_state | Text state information.
  [in] | text | Text content string.

Returns
  None.

## ◆ TextFillSignObjectData() [2/2]

com.foxit.sdk.pdf.TextFillSignObjectData.TextFillSignObjectData | ( | TextFillSignObjectData | text_data | ) |

Constructor, with another text fill-sign object data.

Parameters

  [in] | text_data | Another text fill-sign object data.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TextFillSignObjectData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getText()

com.foxit.sdk.pdf.TextFillSignObjectData.getText | ( |  | ) |

Get text content string.

Returns
  Text content string.

## ◆ getText_state()

com.foxit.sdk.pdf.TextFillSignObjectData.getText_state | ( |  | ) |

Get text state information.

Returns
  Text state information.

## ◆ set()

void com.foxit.sdk.pdf.TextFillSignObjectData.set | ( | TextState | text_state,
|  | String | text
| ) |  |

Set value.

Parameters

  [in] | text_state | Text state information.
  [in] | text | Text content string.

Returns
  None.

## ◆ setText()

com.foxit.sdk.pdf.TextFillSignObjectData.setText | ( | String | value | ) |

Set text content string.

Parameters

  [in] | value | Text content string.

Returns
  None.

## ◆ setText_state()

com.foxit.sdk.pdf.TextFillSignObjectData.setText_state | ( | TextState | value | ) |

Set text state information.

Parameters

  [in] | value | Text state information.

Returns
  None.